%global momorel 9

Name:           perl-MediaWiki
Version:        1.13
Release:        %{momorel}m%{?dist}
Summary:        MediaWiki Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MediaWiki/
Source0:        http://www.cpan.org/authors/id/S/SP/SPECTRUM/MediaWiki-%{version}.tar.gz
#NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Config-IniHash
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-libwww-perl
Requires:       perl-Config-IniHash
Requires:       perl-libwww-perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Author: Edward Chernenko <edwardspec@yahoo.com>. License: Artistic
License(the same as the license of perl). See also: CMS::MediaWiki,
WWW::Wikipedia

%prep
%setup -q -n MediaWiki-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

## disable test ...
%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README THANKS
%{perl_vendorlib}/MediaWiki*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13-9m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-8m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-7m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-6m)
- no NoSource

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.13-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.13-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.13-2m)
- rebuild against gcc43

* Sun Jan  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-1m)
- update to 1.13

* Mon Sep 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-1m)
- update to 1.12

* Mon Sep 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.11-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
